Strabon

diff pom.xml @ 0:3435769679f3

Strabon goes mercurial
author Kostis Kyzirakos <kkyzir@di.uoa.gr>
date Fri Jan 27 01:08:32 2012 +0200 (2012-01-27)
parents
children b6c4b3cfb296
line diff
     1.1 --- /dev/null	Thu Jan 01 00:00:00 1970 +0000
     1.2 +++ b/pom.xml	Fri Jan 27 01:08:32 2012 +0200
     1.3 @@ -0,0 +1,467 @@
     1.4 +<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
     1.5 +
     1.6 +	<modelVersion>4.0.0</modelVersion>
     1.7 +
     1.8 +	<groupId>eu.earthobservatory</groupId>
     1.9 +	<artifactId>strabon</artifactId>
    1.10 +	<version>3.1.1-SNAPSHOT</version>
    1.11 +	<packaging>pom</packaging>
    1.12 +
    1.13 +	<parent>
    1.14 +		<groupId>org.openrdf</groupId>
    1.15 +		<artifactId>openrdf-root-pom</artifactId>
    1.16 +		<version>5</version>
    1.17 +	</parent>
    1.18 +
    1.19 +	<name>Strabon</name>
    1.20 +	<description>Strabon is a storage and query evaluation module for stRDF/stSPARQL.</description>
    1.21 +	<url>http://www.strabon.di.uoa.gr/</url>
    1.22 +	<inceptionYear>2008</inceptionYear>
    1.23 +
    1.24 +	<modules>
    1.25 +		<module>evaluation</module>
    1.26 +		<module>runtime</module>
    1.27 +		<module>postgis</module>
    1.28 +		<module>monetdb</module>
    1.29 +		<module>generaldb</module>
    1.30 +		<module>resultio</module>
    1.31 +		<module>jars</module>
    1.32 +	</modules>
    1.33 +
    1.34 +	<properties>
    1.35 +		<sesame.version>2.6.3</sesame.version>
    1.36 +		<eu.earthobservatory.version>3.1.1-SNAPSHOT</eu.earthobservatory.version>
    1.37 +		<aduna.appbase.version>3.5.0</aduna.appbase.version>
    1.38 +		<slf4j.version>1.6.1</slf4j.version>
    1.39 +		<spring.version>2.5.6</spring.version>
    1.40 +		<geotools.version>2.6.6</geotools.version>
    1.41 +	</properties>
    1.42 +
    1.43 +	<dependencyManagement>
    1.44 +		<dependencies>
    1.45 +
    1.46 +			<dependency>
    1.47 +				<groupId>org.openrdf.sesame</groupId>
    1.48 +				<artifactId>sesame-repository-sail</artifactId>
    1.49 +				<version>${sesame.version}</version>
    1.50 +			</dependency>
    1.51 +
    1.52 +			<dependency>
    1.53 +				<groupId>eu.earthobservatory</groupId>
    1.54 +				<artifactId>strabon-runtime</artifactId>
    1.55 +				<version>${eu.earthobservatory.version}</version>
    1.56 +			</dependency>
    1.57 +
    1.58 +			<dependency>
    1.59 +				<groupId>org.openrdf.sesame</groupId>
    1.60 +				<artifactId>sesame-queryresultio-sparqlxml-spatial</artifactId>
    1.61 +				<version>${eu.earthobservatory.version}</version>
    1.62 +			</dependency>
    1.63 +
    1.64 +			<dependency>
    1.65 +				<groupId>org.openrdf.sesame</groupId>
    1.66 +				<artifactId>sesame-queryalgebra-evaluation-spatial</artifactId>
    1.67 +				<version>${eu.earthobservatory.version}</version>
    1.68 +			</dependency>
    1.69 +
    1.70 +			<dependency>
    1.71 +				<groupId>org.openrdf.sesame</groupId>
    1.72 +				<artifactId>sesame-sail-postgis</artifactId>
    1.73 +				<version>${eu.earthobservatory.version}</version>
    1.74 +			</dependency>
    1.75 +
    1.76 +			<dependency>
    1.77 +				<groupId>org.openrdf.sesame</groupId>
    1.78 +				<artifactId>sesame-sail-monetdb</artifactId>
    1.79 +				<version>${eu.earthobservatory.version}</version>
    1.80 +			</dependency>
    1.81 +
    1.82 +			<dependency>
    1.83 +				<groupId>org.openrdf.sesame</groupId>
    1.84 +				<artifactId>sesame-sail-generaldb</artifactId>
    1.85 +				<version>${eu.earthobservatory.version}</version>
    1.86 +			</dependency>
    1.87 +			<!-- OpenRDF modules -->
    1.88 +			<dependency>
    1.89 +				<groupId>org.openrdf.sesame</groupId>
    1.90 +				<artifactId>sesame-queryalgebra</artifactId>
    1.91 +				<version>${sesame.version}</version>
    1.92 +			</dependency>
    1.93 +
    1.94 +			<dependency>
    1.95 +				<groupId>org.openrdf.sesame</groupId>
    1.96 +				<artifactId>sesame-queryalgebra-evaluation</artifactId>
    1.97 +				<version>${sesame.version}</version>
    1.98 +			</dependency>
    1.99 +
   1.100 +			<dependency>
   1.101 +				<groupId>org.openrdf.sesame</groupId>
   1.102 +				<artifactId>sesame-queryalgebra-model</artifactId>
   1.103 +				<version>${sesame.version}</version>
   1.104 +			</dependency>
   1.105 +
   1.106 +			<dependency>
   1.107 +				<groupId>org.openrdf.sesame</groupId>
   1.108 +				<artifactId>sesame-queryalgebra-evaluation</artifactId>
   1.109 +				<version>${sesame.version}</version>
   1.110 +			</dependency>
   1.111 +
   1.112 +			<dependency>
   1.113 +				<groupId>org.openrdf.sesame</groupId>
   1.114 +				<artifactId>sesame-queryparser-api</artifactId>
   1.115 +				<version>${sesame.version}</version>
   1.116 +			</dependency>
   1.117 +
   1.118 +			<dependency>
   1.119 +				<groupId>org.openrdf.sesame</groupId>
   1.120 +				<artifactId>sesame-queryparser-sparql</artifactId>
   1.121 +				<version>${sesame.version}</version>
   1.122 +			</dependency>
   1.123 +
   1.124 +			<dependency>
   1.125 +				<groupId>org.openrdf.sesame</groupId>
   1.126 +				<artifactId>sesame-model</artifactId>
   1.127 +				<version>${sesame.version}</version>
   1.128 +			</dependency>
   1.129 +
   1.130 +			<dependency>
   1.131 +				<groupId>org.openrdf.sesame</groupId>
   1.132 +				<artifactId>sesame-sail-api</artifactId>
   1.133 +				<version>${sesame.version}</version>
   1.134 +			</dependency>
   1.135 +
   1.136 +			<dependency>
   1.137 +				<groupId>org.openrdf.sesame</groupId>
   1.138 +				<artifactId>sesame-query</artifactId>
   1.139 +				<version>${sesame.version}</version>
   1.140 +			</dependency>
   1.141 +
   1.142 +			<dependency>
   1.143 +				<groupId>org.openrdf.sesame</groupId>
   1.144 +				<artifactId>sesame-sail-rdbms</artifactId>
   1.145 +				<version>${sesame.version}</version>
   1.146 +			</dependency>
   1.147 +
   1.148 +			<!--
   1.149 +			<dependency>
   1.150 +				<groupId>info.aduna.commons</groupId>
   1.151 +				<artifactId>aduna-commons-lang</artifactId>
   1.152 +				<version>2.10.0-SNAPSHOT</version>
   1.153 +			</dependency>
   1.154 +			-->
   1.155 +
   1.156 +			<!-- Aduna Commons -->
   1.157 +			<!-- Note: other Aduna Commons dependencies are imported from appbase -->
   1.158 +			<dependency>
   1.159 +				<groupId>info.aduna.commons</groupId>
   1.160 +				<artifactId>aduna-commons-collections</artifactId>
   1.161 +				<version>2.8.0</version>
   1.162 +			</dependency>
   1.163 +			<dependency>
   1.164 +				<groupId>info.aduna.commons</groupId>
   1.165 +				<artifactId>aduna-commons-concurrent</artifactId>
   1.166 +				<version>2.7.0</version>
   1.167 +			</dependency>
   1.168 +			<dependency>
   1.169 +				<groupId>info.aduna.commons</groupId>
   1.170 +				<artifactId>aduna-commons-i18n</artifactId>
   1.171 +				<version>1.4.0</version>
   1.172 +			</dependency>
   1.173 +			<dependency>
   1.174 +				<groupId>info.aduna.commons</groupId>
   1.175 +				<artifactId>aduna-commons-iteration</artifactId>
   1.176 +				<version>2.10.0</version>
   1.177 +			</dependency>
   1.178 +			<dependency>
   1.179 +				<groupId>info.aduna.commons</groupId>
   1.180 +				<artifactId>aduna-commons-net-http-server-embedded</artifactId>
   1.181 +				<version>2.5.0</version>
   1.182 +			</dependency>
   1.183 +
   1.184 +			<!-- Apache Commons -->
   1.185 +			<dependency>
   1.186 +				<groupId>commons-cli</groupId>
   1.187 +				<artifactId>commons-cli</artifactId>
   1.188 +				<version>1.2</version>
   1.189 +			</dependency>
   1.190 +			<dependency>
   1.191 +				<groupId>commons-dbcp</groupId>
   1.192 +				<artifactId>commons-dbcp</artifactId>
   1.193 +				<version>1.3</version>
   1.194 +			</dependency>
   1.195 +			<dependency>
   1.196 +				<groupId>commons-fileupload</groupId>
   1.197 +				<artifactId>commons-fileupload</artifactId>
   1.198 +				<version>1.2.1</version>
   1.199 +			</dependency>
   1.200 +			<dependency>
   1.201 +				<groupId>commons-io</groupId>
   1.202 +				<artifactId>commons-io</artifactId>
   1.203 +				<!-- this is the version that is specified as an optional dependency 
   1.204 +					for fileupload -->
   1.205 +				<version>1.3.2</version>
   1.206 +			</dependency>
   1.207 +			<dependency>
   1.208 +				<groupId>commons-httpclient</groupId>
   1.209 +				<artifactId>commons-httpclient</artifactId>
   1.210 +				<version>3.1</version>
   1.211 +				<exclusions>
   1.212 +					<exclusion>
   1.213 +						<groupId>commons-logging</groupId>
   1.214 +						<artifactId>commons-logging</artifactId>
   1.215 +					</exclusion>
   1.216 +					<exclusion>
   1.217 +						<!-- httpclient includes older codec -->
   1.218 +						<groupId>commons-codec</groupId>
   1.219 +						<artifactId>commons-codec</artifactId>
   1.220 +					</exclusion>
   1.221 +				</exclusions>
   1.222 +			</dependency>
   1.223 +			<dependency>
   1.224 +				<groupId>commons-codec</groupId>
   1.225 +				<artifactId>commons-codec</artifactId>
   1.226 +				<version>1.4</version>
   1.227 +				<scope>runtime</scope>
   1.228 +			</dependency>
   1.229 +
   1.230 +			<!-- Spring framework -->
   1.231 +			<dependency>
   1.232 +				<groupId>org.springframework</groupId>
   1.233 +				<artifactId>spring-aop</artifactId>
   1.234 +				<version>${spring.version}</version>
   1.235 +				<exclusions>
   1.236 +					<exclusion>
   1.237 +						<groupId>commons-logging</groupId>
   1.238 +						<artifactId>commons-logging</artifactId>
   1.239 +					</exclusion>
   1.240 +				</exclusions>
   1.241 +			</dependency>
   1.242 +
   1.243 +			<!-- Compliance tests -->
   1.244 +			<dependency>
   1.245 +				<groupId>edu.lehigh.swat.bench</groupId>
   1.246 +				<artifactId>uba</artifactId>
   1.247 +				<version>1.7</version>
   1.248 +			</dependency>
   1.249 +			<dependency>
   1.250 +				<groupId>edu.lehigh.swat.bench</groupId>
   1.251 +				<artifactId>ubt</artifactId>
   1.252 +				<version>1.1</version>
   1.253 +			</dependency>
   1.254 +
   1.255 +			<!-- JDBC Drivers -->
   1.256 +			<dependency>
   1.257 +				<groupId>postgresql</groupId>
   1.258 +				<artifactId>postgresql</artifactId>
   1.259 +				<version>9.0-801.jdbc4</version>
   1.260 +			</dependency>
   1.261 +
   1.262 +			<dependency>
   1.263 +				<groupId>mysql</groupId>
   1.264 +				<artifactId>mysql-connector-java</artifactId>
   1.265 +				<version>5.1.15</version>
   1.266 +			</dependency>
   1.267 +
   1.268 +			<!-- various -->
   1.269 +			<dependency>
   1.270 +				<groupId>cglib</groupId>
   1.271 +				<artifactId>cglib</artifactId>
   1.272 +				<version>2.2</version>
   1.273 +			</dependency>
   1.274 +
   1.275 +			<!-- GeoTools -->
   1.276 +			<dependency>
   1.277 +				<groupId>org.geotools.xsd</groupId>
   1.278 +				<artifactId>gt-xsd-kml</artifactId>
   1.279 +				<version>${geotools.version}</version>
   1.280 +			</dependency>
   1.281 +
   1.282 +			<dependency>
   1.283 +				<groupId>org.geotools</groupId>
   1.284 +				<artifactId>gt-xml</artifactId>
   1.285 +				<version>${geotools.version}</version>
   1.286 +			</dependency>
   1.287 +
   1.288 +			<dependency>
   1.289 +				<groupId>org.geotools</groupId>
   1.290 +				<artifactId>gt-epsg-hsql</artifactId>
   1.291 +				<version>${geotools.version}</version>
   1.292 +			</dependency>
   1.293 +			<dependency>
   1.294 +				<groupId>org.geotools</groupId>
   1.295 +				<artifactId>gt-shapefile</artifactId>
   1.296 +				<version>${geotools.version}</version>
   1.297 +			</dependency>
   1.298 +
   1.299 +			<dependency>
   1.300 +				<groupId>org.geotools</groupId>
   1.301 +				<artifactId>gt-referencing</artifactId>
   1.302 +				<version>${geotools.version}</version>
   1.303 +			</dependency>
   1.304 +			
   1.305 +			<dependency>
   1.306 +				<groupId>org.geotools</groupId>
   1.307 +				<artifactId>gt-jts-wrapper</artifactId>
   1.308 +				<version>${geotools.version}</version>
   1.309 +		</dependency>
   1.310 +			
   1.311 +			<dependency>
   1.312 +				<groupId>org.opengis</groupId>
   1.313 +				<artifactId>geoapi</artifactId>
   1.314 +				<version>2.2.0</version>
   1.315 +  			</dependency>
   1.316 +
   1.317 +			<!-- Testing: JUnit -->
   1.318 +			<dependency>
   1.319 +				<groupId>junit</groupId>
   1.320 +				<artifactId>junit</artifactId>
   1.321 +				<version>4.7</version>
   1.322 +				<scope>test</scope>
   1.323 +			</dependency>
   1.324 +
   1.325 +			<!-- SLF4J -->
   1.326 +			<dependency>
   1.327 +				<groupId>org.slf4j</groupId>
   1.328 +				<artifactId>slf4j-api</artifactId>
   1.329 +				<version>${slf4j.version}</version>
   1.330 +			</dependency>
   1.331 +
   1.332 +			<dependency>
   1.333 +				<groupId>org.slf4j</groupId>
   1.334 +				<artifactId>slf4j-simple</artifactId>
   1.335 +				<version>${slf4j.version}</version>
   1.336 +			</dependency>
   1.337 +			
   1.338 +		</dependencies>
   1.339 +	</dependencyManagement>
   1.340 +
   1.341 +	<build>
   1.342 +		<pluginManagement>
   1.343 +			<plugins>
   1.344 +				<!-- FIXME: version 2.2-beta-2 causes a lot problems -->
   1.345 +				<plugin>
   1.346 +					<groupId>org.apache.maven.plugins</groupId>
   1.347 +					<artifactId>maven-assembly-plugin</artifactId>
   1.348 +					<version>2.2-beta-1</version>
   1.349 +				</plugin>
   1.350 +			</plugins>
   1.351 +		</pluginManagement>
   1.352 +
   1.353 +		<plugins>
   1.354 +			<plugin>
   1.355 +				<groupId>org.apache.maven.plugins</groupId>
   1.356 +				<artifactId>maven-compiler-plugin</artifactId>
   1.357 +				<configuration>
   1.358 +					<source>1.6</source>
   1.359 +					<target>1.6</target>
   1.360 +					<encoding>utf8</encoding>
   1.361 +				</configuration>
   1.362 +			</plugin>
   1.363 +			<!-- <plugin> <groupId>ch.elca.el4j.maven.plugins</groupId> <artifactId>maven-depgraph-plugin</artifactId> 
   1.364 +				<configuration> <outDir>target/site/images</outDir> <dotFile>${pom.artifactId}.dot</dotFile> 
   1.365 +				<outFile>${pom.artifactId}.png</outFile> <filterEmptyArtifacts>true</filterEmptyArtifacts> 
   1.366 +				</configuration> </plugin> -->
   1.367 +			<plugin>
   1.368 +				<artifactId>maven-release-plugin</artifactId>
   1.369 +				<version>2.2.2</version>
   1.370 +				<configuration>
   1.371 +					<tagNameFormat>v@{project.version}</tagNameFormat>
   1.372 +					<autoVersionSubmodules>true</autoVersionSubmodules>
   1.373 +				</configuration>
   1.374 +			</plugin>
   1.375 +		</plugins>
   1.376 +	</build>
   1.377 +
   1.378 +	<reporting>
   1.379 +		<plugins>
   1.380 +			<plugin>
   1.381 +				<groupId>org.apache.maven.plugins</groupId>
   1.382 +				<artifactId>maven-javadoc-plugin</artifactId>
   1.383 +				<configuration>
   1.384 +					<source>1.6</source>
   1.385 +					<encoding>utf8</encoding>
   1.386 +				</configuration>
   1.387 +			</plugin>
   1.388 +		</plugins>
   1.389 +	</reporting>
   1.390 +
   1.391 +
   1.392 +	<!-- <pluginRepositories> <pluginRepository> <id>elca-services</id> <url>http://el4.elca-services.ch/el4j/maven2repository</url> 
   1.393 +		<releases> <enabled>true</enabled> </releases> </pluginRepository> </pluginRepositories> -->
   1.394 +
   1.395 +	<scm>
   1.396 +		<connection>scm:hg:http://hg.strabon.di.uoa.gr/Strabon/</connection>
   1.397 +		<developerConnection>scm:hg:ssh://hg.strabon.di.uoa.gr/Strabon/</developerConnection>
   1.398 +		<url>http://hg.strabon.di.uoa.gr/Strabon/</url>
   1.399 +	</scm>
   1.400 +
   1.401 +	<repositories>
   1.402 +		<repository>
   1.403 +			<releases>
   1.404 +				<enabled>true</enabled>
   1.405 +			</releases>
   1.406 +			<snapshots>
   1.407 +				<enabled>false</enabled>
   1.408 +			</snapshots>
   1.409 +			<id>strabon</id>
   1.410 +			<name>Strabon - maven repository</name>
   1.411 +			<url>http://maven.strabon.di.uoa.gr/content/repositories/releases</url>
   1.412 +		</repository>
   1.413 +                <repository>
   1.414 +                        <releases>
   1.415 +                                <enabled>false</enabled>
   1.416 +                        </releases>
   1.417 +                        <snapshots>
   1.418 +                                <enabled>true</enabled>
   1.419 +                        </snapshots>
   1.420 +                        <id>strabon</id>
   1.421 +                        <name>Strabon - maven repository - snapshots</name>
   1.422 +                        <url>http://maven.strabon.di.uoa.gr/content/repositories/snapshots</url>
   1.423 +                </repository>
   1.424 +
   1.425 +
   1.426 +		<repository>
   1.427 +			<releases>
   1.428 +				<enabled>true</enabled>
   1.429 +			</releases>
   1.430 +			<snapshots>
   1.431 +				<enabled>false</enabled>
   1.432 +			</snapshots>
   1.433 +			<id>aduna-opensource.releases</id>
   1.434 +			<name>Aduna Open Source - Maven releases</name>
   1.435 +			<url>http://repo.aduna-software.org/maven2/releases</url>
   1.436 +		</repository>
   1.437 +		<repository>
   1.438 +			<releases>
   1.439 +				<enabled>false</enabled>
   1.440 +			</releases>
   1.441 +			<snapshots>
   1.442 +				<enabled>true</enabled>
   1.443 +			</snapshots>
   1.444 +			<id>aduna-opensource.snapshots</id>
   1.445 +			<name>Aduna Open Source - Maven snapshots</name>
   1.446 +			<url>http://repo.aduna-software.org/maven2/snapshots</url>
   1.447 +		</repository>
   1.448 +		<repository>
   1.449 +			<snapshots>
   1.450 +				<enabled>true</enabled>
   1.451 +			</snapshots>
   1.452 +			<id>opengeo</id>
   1.453 +			<name>OpenGeo Maven Repository</name>
   1.454 +			<url>http://download.osgeo.org/webdav/geotools/</url>
   1.455 +		</repository>
   1.456 +	</repositories>
   1.457 +
   1.458 +	<distributionManagement>
   1.459 +		<repository>
   1.460 +			<id>strabon</id>
   1.461 +			<name>Strabon maven repo</name>
   1.462 +			<url>http://maven.strabon.di.uoa.gr/content/repositories/releases</url>
   1.463 +		</repository>
   1.464 +		<snapshotRepository>
   1.465 +			<id>strabon.snapshot</id>
   1.466 +			<name>Strabon maven repo</name>
   1.467 +			<url>http://maven.strabon.di.uoa.gr/content/repositories/snapshots</url>
   1.468 +		</snapshotRepository>
   1.469 +	</distributionManagement>
   1.470 +</project>